QGIS Application - Bug report #4559

Cutting tool for line
2011-11-22 01:51 AM - Gilles Turgeon

Status: Closed
Priority: Normal
Assignee:

Category: Digitising

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 14472

Description

When | use the tools for separate entity, | expect to obtain 2 entities. But if the line cross itself at some(s) place(s), | obtain a new entity
between each crossing point. The line act as a cutting tool applied to itself.

I don't know if it's a bug or if this comportement is what you expect. For me it's a bit annoying. | edit line that come from a GPS receiver

held by hiker. When they stop during the survey, and they often do, the GPS accumulate a lot of point almost at the same position,

creating a lot of self-crossing. When | cut anywhere on this line, QGis separate the entity in a very big lot of entities.

History

#1 - 2011-11-22 06:49 AM - Richard Duivenvoorde

- File test.zip added

not sure if this your are the same person, but someone had this issue also on the list:

http://lists.osgeo.org/pipermail/ggis-user/2011-November/014413.html

I'll attach that test shape to this note

#2 - 2011-11-28 06:06 AM - Giovanni Manghi

Richard Duivenvoorde wrote:

not sure if this your are the same person, but someone had this issue also on the list:

http.//lists.osgeo.org/pipermail/qgis-user/2011-November/014413.html

I'll attach that test shape to this note

The line is also split in every self-intersection point.

#3 - 2011-11-28 06:07 AM - Giovanni Manghi

- Category set to Digitising

#4 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4
http://lists.osgeo.org/pipermail/qgis-user/2011-November/014413.html
http://lists.osgeo.org/pipermail/qgis-user/2011-November/014413.html

#5 - 2011-12-25 12:50 AM - Giovanni Manghi
- Crashes QGIS or corrupts data set to No

- Status changed from Open to Closed

- Resolution set to duplicate

- Affected QGIS version set to master

Duplicate of #4087

Files

test.zip 2.16 KB
